ArcMAP error in logwrite 91: Object variable or With block variable not set

133
8
12-12-2019 11:13 AM
Highlighted
New Contributor

I have an issue launching ArcMap.exe and loading .mxd

I am prompted with an error on launch and exit of ArcMAP

-------------

Error in LogWrite:

         91: Object variable or With block variable not set

-------------

I am using ArcGIS ArcMAP 10.3.1 on Windows 10 ver 1803

suspect is installation of autocad related software, possible dll issues?

What I have tried:

ArcGIS 10.3.1 Repair

ArcGIS 10.3.1 uninstall / directory cleanup + registry cleanup / reboot / re-install

creating new windows 10 profile

Anyone have any information, ideas / suggestions would be very helpful.

Reply
0 Kudos
8 Replies
Highlighted
Esteemed Contributor

Did you have an earlier version of ArcMap installed on this machine?

Reply
0 Kudos
Highlighted
New Contributor

Hello Michael

No I do not have an earlier version of Arcmap installed

Just an install of ArcGIS Desktop 10.3.1

ArcGIS_Desktop_1031_145699.exe

C:\Program Files (x86)\ArcGIS\Desktop10.3

Reply
0 Kudos
Highlighted
Esteemed Contributor

Can you uninstall the AutoCAD related software from the machine, at least temporarily to see if that gets rid of the error?

Can you also try the same install on a different computer?

Reply
0 Kudos
Highlighted
New Contributor

Hello Michael

All AutoCAD related software removed / uninstalled

Same exact error!

 

Error on load of ArcGIS ArcMAP 10.3.1

Error in LogWrite:

   91: Object variable or With block variable not set

Error after exiting of ArcGIS ArcMAP 10.3.1

Error in LogWrite:

   91: Object variable or With block variable not set

Reply
0 Kudos
Highlighted
Esteemed Contributor

Can you try option B to install ArcMap 10.3.1 on another computer that has never had AutoCAD software installed on it?

Do you not have the ability to use a newer version of ArcMap (it's at 10.7.1) or even Pro?

Reply
0 Kudos
Highlighted
New Contributor

Can you try option B to install ArcMap 10.3.1 on another computer that has never had AutoCAD software installed on it?

 I have AutoCAD and ArcMap 10.3.1 installed on my machine, and there are many others here as well that have autoCAD 2020

Do you not have the ability to use a newer version of ArcMap (it's at 10.7.1) or even Pro?

NO

I have uninstalled ArcMAP 10.3.1

uninstalled all autoCAD programs

rebooted and re-installed ARcMAP 10.3.1 on machine

Same Error

Reply
0 Kudos
Highlighted
Esteemed Contributor

So you already have computers setup at your org that have ArcMap 10.3.1 and AutoCAD 2020 working together?  I don't use AutoCAD but I did not think a new version of AutoCAD such as 2020 would be compatible with that old a version of ArcMap.  Does ESRI or AutoCAD have a compatibility matrix to show that this setup is supported?

Reply
0 Kudos
Highlighted
New Contributor

I have a computer here that has just ArcMap 10.3.1

when i start ArcMAP 10.3.1 i get an error

Error in LogWrite:

   91: Object variable or With block variable not set

Maybe there is a component i am missing, library?

Reply
0 Kudos